> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Backlink Competitors API

> Domains that share the most referring domains with a target.



## OpenAPI

````yaml openapi.json GET /v1/website/backlinks/competitors
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Competitor data. One API.
servers:
  - url: https://api.scoutlayer.io
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/website/backlinks/competitors:
    get:
      tags:
        - website
        - backlinks
      summary: Get domains with the most overlapping backlink sources
      description: Domains that share the most referring domains with a target.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: shopify.com
          required: true
          name: target
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 1000
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Get domains with the most overlapping backlink sources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BacklinkCompetitorList'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '501':
          description: This endpoint is declared but not yet implemented — never charged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    BacklinkCompetitorList:
      type: object
      properties:
        competitors:
          type: array
          items:
            $ref: '#/components/schemas/BacklinkCompetitor'
      required:
        - competitors
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
    BacklinkCompetitor:
      type: object
      properties:
        domain:
          type: string
        rank:
          type: integer
        intersections:
          type: integer
          description: Number of backlink source domains this domain shares with the target
      required:
        - domain
        - rank
        - intersections
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````